Subject: [alto] Fwd: New Version Notification for draft-gao-alto-routing-state-abstraction-08.txt

From: Kai Gao <[email-masked]>
Date: Tue, 6 Mar 2018 19:54:35 +0800

Dear ALTO WG,

The latest version (-08) has improved the clarity of the algorithms with 
simpler symbols and more detailed examples. Reviews and comments are 
welcomed!

Best Regards,

Kai

-------- Forwarded Message --------
Subject: 	New Version Notification for 
draft-gao-alto-routing-state-abstraction-08.txt
Date: 	Thu, 01 Mar 2018 21:41:15 -0800
From: 	[email-masked]
To: 	Yang Yang <[email-masked]>, Chen Gu <[email-masked]>, 
[email-masked] <[email-masked]>, Y. Richard Yang 
<[email-masked]>, Xin Wang (Tony) <[email-masked]>, Qiao Xiang 
<[email-masked]>, Kai Gao <[email-masked]>, 
G.Robert Chen <[email-masked]>, G. Robert Chen 
<[email-masked]>

A new version of I-D, draft-gao-alto-routing-state-abstraction-08.txt
has been successfully submitted by Kai Gao and posted to the
IETF repository.

Name:		draft-gao-alto-routing-state-abstraction
Revision:	08
Title:		Compressing ALTO Path Vectors
Document date:	2018-03-02
Group:		Individual Submission
Pages:		25
URL:            https://www.ietf.org/internet-drafts/draft-gao-alto-routing-state-abstraction-08.txt
Status:         https://datatracker.ietf.org/doc/draft-gao-alto-routing-state-abstraction/
Htmlized:       https://tools.ietf.org/html/draft-gao-alto-routing-state-abstraction-08
Htmlized:       https://datatracker.ietf.org/doc/html/draft-gao-alto-routing-state-abstraction-08
Diff:           https://www.ietf.org/rfcdiff?url2=draft-gao-alto-routing-state-abstraction-08

Abstract:
    The path vector extension [I-D.ietf-alto-path-vector] has extended
    the base ALTO protocol [RFC7285] with the ability to represent a more
    detailed view of the network which contains not only end-to-end costs
    but also information about shared bottlenecks.

    However, the view computed by straw man algorithms can contain
    redundant information and result in unnecessary communication
    overhead.  The situation gets even worse when certain ALTO extensions
    are enabled, for example, the incremental update extension
    [I-D.ietf-alto-incr-update-sse] which continuously pushes data
    changes to ALTO clients.  Redundant information can trigger
    unnecessary updates.

    In this document, several algorithms are described which can
    effectively reduce the redundancy in the network view while still
    providing the same information as in the original path vectors.

Please note that it may take a couple of minutes from the time of submission
until the htmlized version and diff are available at tools.ietf.org.

The IETF Secretariat